[@rxap/authorization](../wiki/globals) / AuthorizationService

# Class: AuthorizationService

Defined in: [authorization.service.ts:18](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/authorization/src/lib/authorization.service.ts#L18)

## Constructors

### new AuthorizationService()

> **new AuthorizationService**(): [`AuthorizationService`](../wiki/Class.AuthorizationService)

#### Returns

[`AuthorizationService`](../wiki/Class.AuthorizationService)

## Properties

### disabled

> `readonly` **disabled**: `boolean`

Defined in: [authorization.service.ts:22](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/authorization/src/lib/authorization.service.ts#L22)

***

### permissions$

> `protected` `readonly` **permissions$**: `BehaviorSubject`\<`string`[]\>

Defined in: [authorization.service.ts:20](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/authorization/src/lib/authorization.service.ts#L20)

## Methods

### checkPermission()

> **checkPermission**(`identifier`, `permissions`, `scope`?): `boolean`

Defined in: [authorization.service.ts:28](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/authorization/src/lib/authorization.service.ts#L28)

#### Parameters

##### identifier

`string` | `string`[]

##### permissions

`string`[]

##### scope?

`null` | `string`

#### Returns

`boolean`

***

### getPermissions()

> **getPermissions**(): `string`[]

Defined in: [authorization.service.ts:130](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/authorization/src/lib/authorization.service.ts#L130)

#### Returns

`string`[]

***

### getPermissions$()

> **getPermissions$**(): `Observable`\<`string`[]\>

Defined in: [authorization.service.ts:126](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/authorization/src/lib/authorization.service.ts#L126)

#### Returns

`Observable`\<`string`[]\>

***

### hasPermission()

> **hasPermission**(`identifier`, `scope`?, `ignorePermissionList`?): `boolean`

Defined in: [authorization.service.ts:113](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/authorization/src/lib/authorization.service.ts#L113)

#### Parameters

##### identifier

`string` | `string`[]

##### scope?

`null` | `string`

##### ignorePermissionList?

`string`[]

#### Returns

`boolean`

***

### hasPermission$()

> **hasPermission$**(`identifier`, `scope`?, `ignorePermissionList`?): `Observable`\<`boolean`\>

Defined in: [authorization.service.ts:97](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/authorization/src/lib/authorization.service.ts#L97)

#### Parameters

##### identifier

`string` | `string`[]

##### scope?

`null` | `string`

##### ignorePermissionList?

`string`[]

#### Returns

`Observable`\<`boolean`\>

***

### setPermissions()

> **setPermissions**(`permissions`): `void`

Defined in: [authorization.service.ts:24](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/authorization/src/lib/authorization.service.ts#L24)

#### Parameters

##### permissions

`string`[]

#### Returns

`void`
